<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.OrderImageMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.OrderImage">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="order_id" property="orderId" jdbcType="VARCHAR"/>
        <result column="user_id" property="userId" jdbcType="VARCHAR"/>
        <result column="store_id" property="storeId" jdbcType="VARCHAR"/>
        <result column="original_image" property="originalImage" jdbcType="VARCHAR"/>
        <result column="original_size" property="originalSize" jdbcType="DECIMAL"/>
        <result column="finished_image" property="finishedImage" jdbcType="VARCHAR"/>
        <result column="finished_size" property="finishedSize" jdbcType="DECIMAL"/>
        <result column="deal_user" property="dealUser" jdbcType="VARCHAR"/>
        <result column="status_flag" property="statusFlag" jdbcType="INTEGER"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="image_name" property="imageName" jdbcType="VARCHAR"/>
        <result column="original_artwork" property="originalArtwork" jdbcType="VARCHAR"/>
        <result column="finished_artwork" property="finishedArtwork" jdbcType="VARCHAR"/>
        <result column="download_flag" property="downloadFlag" jdbcType="CHAR"/>
        <result column="clean_flag" property="cleanFlag" jdbcType="CHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            order_id,

            user_id,

            store_id,

            original_image,

            original_size,

            finished_image,

            finished_size,

            deal_user,

            status_flag,

            remark,

            image_name,

            original_artwork,

            finished_artwork,

            download_flag,

            clean_flag,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from order_image
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from order_image
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.OrderImage" useGeneratedKeys="true"
            keyProperty="id">
        insert into order_image
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="orderId!= null">
                order_id,
            </if>
            <if test="userId!= null">
                user_id,
            </if>
            <if test="storeId!= null">
                store_id,
            </if>
            <if test="originalImage!= null">
                original_image,
            </if>
            <if test="originalSize!= null">
                original_size,
            </if>
            <if test="finishedImage!= null">
                finished_image,
            </if>
            <if test="finishedSize!= null">
                finished_size,
            </if>
            <if test="dealUser!= null">
                deal_user,
            </if>
            <if test="statusFlag!= null">
                status_flag,
            </if>
            <if test="remark!= null">
                remark,
            </if>
            <if test="imageName!= null">
                image_name,
            </if>
            <if test="originalArtwork!= null">
                original_artwork,
            </if>
            <if test="finishedArtwork!= null">
                finished_artwork,
            </if>

        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="orderId != null">
                #{orderId,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                #{userId,jdbcType=VARCHAR},
            </if>
            <if test="storeId != null">
                #{storeId,jdbcType=VARCHAR},
            </if>
            <if test="originalImage != null">
                #{originalImage,jdbcType=VARCHAR},
            </if>
            <if test="originalSize != null">
                #{originalSize,jdbcType=DECIMAL},
            </if>
            <if test="finishedImage != null">
                #{finishedImage,jdbcType=VARCHAR},
            </if>
            <if test="finishedSize != null">
                #{finishedSize,jdbcType=DECIMAL},
            </if>
            <if test="dealUser != null">
                #{dealUser,jdbcType=VARCHAR},
            </if>
            <if test="statusFlag != null">
                #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
            <if test="imageName != null">
                #{imageName,jdbcType=VARCHAR},
            </if>
            <if test="originalArtwork != null">
                #{originalArtwork,jdbcType=VARCHAR},
            </if>
            <if test="finishedArtwork != null">
                #{finishedArtwork,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.OrderImage">
        update order_image
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="orderId != null">
                order_id= #{orderId,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                user_id= #{userId,jdbcType=VARCHAR},
            </if>
            <if test="storeId != null">
                store_id= #{storeId,jdbcType=VARCHAR},
            </if>
            <if test="originalImage != null">
                original_image= #{originalImage,jdbcType=VARCHAR},
            </if>
            <if test="originalSize != null">
                original_size= #{originalSize,jdbcType=DECIMAL},
            </if>
            <if test="finishedImage != null">
                <choose>
                    <when test="'null'.toString()==finishedImage">
                        finished_image = null,
                    </when>
                    <otherwise>
                        finished_image= #{finishedImage,jdbcType=VARCHAR},
                    </otherwise>
                </choose>

            </if>
            <if test="finishedSize != null">
                finished_size= #{finishedSize,jdbcType=DECIMAL},
            </if>
            <if test="dealUser != null">
                deal_user= #{dealUser,jdbcType=VARCHAR},
            </if>
            <if test="statusFlag != null">
                status_flag= #{statusFlag,jdbcType=INTEGER},
            </if>
            <if test="remark != null">
                remark= #{remark,jdbcType=VARCHAR},
            </if>
            <if test="imageName != null">
                image_name= #{imageName,jdbcType=VARCHAR},
            </if>
            <if test="originalArtwork != null">
                original_artwork= #{originalArtwork,jdbcType=VARCHAR},
            </if>
            <if test="finishedArtwork != null">
                finished_artwork= #{finishedArtwork,jdbcType=VARCHAR},
            </if>
            <if test="downloadFlag != null">
                download_flag= #{downloadFlag,jdbcType=CHAR},
            </if>
            <if test="cleanFlag != null">
                clean_flag= #{cleanFlag,jdbcType=CHAR},
            </if>
        </set>
        where id = #{id,jdbcType=INTEGER}
    </update>
    <select id="queryOrderImageByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        <include refid="Base_Column_List"/>

        <if test="record.repairId != null and !&quot;&quot;.equals(record.repairId)">
            ,
            (
            SELECT
            order_repair_detail.remark
            FROM
            order_repair_detail
            WHERE
            order_repair_detail.del_flag = 'N'
            and order_repair_detail.image_id = order_image.id
            ORDER BY order_repair_detail.id DESC
            LIMIT 1
            )

            as detail_remark


        </if>

        from order_image
        <where>
            and del_flag = 'N'
            <if test="record.baseRepairId != null and !&quot;&quot;.equals(record.baseRepairId)">
                and id in ( SELECT image_id FROM order_repair_detail WHERE repair_id = #{record.baseRepairId})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.orderId != null and !&quot;&quot;.equals(record.orderId)">
                and order_id = #{record.orderId}
            </if>
            <if test="record.userId != null and !&quot;&quot;.equals(record.userId)">
                and user_id = #{record.userId}
            </if>
            <if test="record.storeId != null and !&quot;&quot;.equals(record.storeId)">
                and store_id = #{record.storeId}
            </if>
            <if test="record.originalImage != null and !&quot;&quot;.equals(record.originalImage)">
                and original_image = #{record.originalImage}
            </if>
            <if test="record.originalSize != null and !&quot;&quot;.equals(record.originalSize)">
                and original_size = #{record.originalSize}
            </if>
            <if test="record.finishedImage != null and !&quot;&quot;.equals(record.finishedImage)">
                and finished_image = #{record.finishedImage}
            </if>
            <if test="record.finishedSize != null and !&quot;&quot;.equals(record.finishedSize)">
                and finished_size = #{record.finishedSize}
            </if>
            <if test="record.dealUser != null and !&quot;&quot;.equals(record.dealUser)">
                and deal_user = #{record.dealUser}
            </if>
            <if test="record.statusFlag != null and !&quot;&quot;.equals(record.statusFlag)">
                and status_flag = #{record.statusFlag}
            </if>
            <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and remark = #{record.remark}
            </if>
            <if test="record.imageName != null and !&quot;&quot;.equals(record.imageName)">
                and image_name = #{record.imageName}
            </if>
            <if test="record.unFinished != null and !&quot;&quot;.equals(record.unFinished)">
                <if test="'1'.toString()==record.unFinished">
                    and (finished_image is null or finished_image = '')
                </if>
                <if test="'0'.toString()==record.unFinished">
                    and (finished_image is not null and finished_image != '')
                </if>
            </if>
            <if test="record.downloadFlag != null and !&quot;&quot;.equals(record.downloadFlag)">
                and download_flag = #{record.downloadFlag}
            </if>
            <if test="record.cleanFlag != null and !&quot;&quot;.equals(record.cleanFlag)">
                and clean_flag = #{record.cleanFlag}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR order_id LIKE concat('%',#{record.searchKey},'%')
                    OR user_id LIKE concat('%',#{record.searchKey},'%')
                    OR store_id LIKE concat('%',#{record.searchKey},'%')
                    OR original_image LIKE concat('%',#{record.searchKey},'%')
                    OR original_size LIKE concat('%',#{record.searchKey},'%')
                    OR finished_image LIKE concat('%',#{record.searchKey},'%')
                    OR finished_size LIKE concat('%',#{record.searchKey},'%')
                    OR deal_user LIKE concat('%',#{record.searchKey},'%')
                    OR status_flag LIKE concat('%',#{record.searchKey},'%')
                    OR remark LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllOrderImage" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        <include refid="Base_Column_List"/>
        from order_image
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="orderId != null and !&quot;&quot;.equals(orderId)">
                and order_id = #{orderId}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="originalImage != null and !&quot;&quot;.equals(originalImage)">
                and original_image = #{originalImage}
            </if>
            <if test="originalSize != null and !&quot;&quot;.equals(originalSize)">
                and original_size = #{originalSize}
            </if>
            <if test="finishedImage != null and !&quot;&quot;.equals(finishedImage)">
                and finished_image = #{finishedImage}
            </if>
            <if test="finishedSize != null and !&quot;&quot;.equals(finishedSize)">
                and finished_size = #{finishedSize}
            </if>
            <if test="dealUser != null and !&quot;&quot;.equals(dealUser)">
                and deal_user = #{dealUser}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="imageName != null and !&quot;&quot;.equals(imageName)">
                and image_name = #{imageName}
            </if>
            <if test="unFinished != null and !&quot;&quot;.equals(unFinished)">
                <if test="'1'.toString()==unFinished">
                    and (finished_image is null or finished_image = '')
                </if>
                <if test="'0'.toString()==unFinished">
                    and (finished_image is not null and finished_image != '')
                </if>
            </if>
            <if test="downloadFlag != null and !&quot;&quot;.equals(downloadFlag)">
                and download_flag = #{downloadFlag}
            </if>
            <if test="cleanFlag != null and !&quot;&quot;.equals(cleanFlag)">
                and clean_flag = #{cleanFlag}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR order_id LIKE concat('%',#{searchKey},'%')
                    OR user_id LIKE concat('%',#{searchKey},'%')
                    OR store_id LIKE concat('%',#{searchKey},'%')
                    OR original_image LIKE concat('%',#{searchKey},'%')
                    OR original_size LIKE concat('%',#{searchKey},'%')
                    OR finished_image LIKE concat('%',#{searchKey},'%')
                    OR finished_size LIKE concat('%',#{searchKey},'%')
                    OR deal_user LIKE concat('%',#{searchKey},'%')
                    OR status_flag LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryOrderImage" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        <include refid="Base_Column_List"/>
        from order_image
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="orderId != null and !&quot;&quot;.equals(orderId)">
                and order_id = #{orderId}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="originalImage != null and !&quot;&quot;.equals(originalImage)">
                and original_image = #{originalImage}
            </if>
            <if test="originalSize != null and !&quot;&quot;.equals(originalSize)">
                and original_size = #{originalSize}
            </if>
            <if test="finishedImage != null and !&quot;&quot;.equals(finishedImage)">
                and finished_image = #{finishedImage}
            </if>
            <if test="finishedSize != null and !&quot;&quot;.equals(finishedSize)">
                and finished_size = #{finishedSize}
            </if>
            <if test="dealUser != null and !&quot;&quot;.equals(dealUser)">
                and deal_user = #{dealUser}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="imageName != null and !&quot;&quot;.equals(imageName)">
                and image_name = #{imageName}
            </if>

        </where>
        LIMIT 1
    </select>
    <select id="getOrderImageTotalNum" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        COUNT(1) AS total_num
        <if test="orderId != null and !&quot;&quot;.equals(orderId)">
            ,
            (
            SELECT
            user_order.quantity
            FROM
            user_order
            WHERE
            user_order.del_flag = 'N'
            AND user_order.id = #{orderId}
            ) order_num
        </if>


        from order_image
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="orderId != null and !&quot;&quot;.equals(orderId)">
                and order_id = #{orderId}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="originalImage != null and !&quot;&quot;.equals(originalImage)">
                and original_image = #{originalImage}
            </if>
            <if test="originalSize != null and !&quot;&quot;.equals(originalSize)">
                and original_size = #{originalSize}
            </if>
            <if test="finishedImage != null and !&quot;&quot;.equals(finishedImage)">
                and finished_image = #{finishedImage}
            </if>
            <if test="finishedSize != null and !&quot;&quot;.equals(finishedSize)">
                and finished_size = #{finishedSize}
            </if>
            <if test="dealUser != null and !&quot;&quot;.equals(dealUser)">
                and deal_user = #{dealUser}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="imageName != null and !&quot;&quot;.equals(imageName)">
                and image_name = #{imageName}
            </if>

        </where>
    </select>
    <select id="getMemorySize" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.OrderImage">
        SELECT
        store_id,
        ROUND(SUM(original_size) / 1024 / 1024) AS original_size,
        ROUND(SUM(finished_size) / 1024 / 1024) AS finished_size,
        ROUND(
        SUM(original_size) / 1024 / 1024 + SUM(finished_size) / 1024 / 1024
        ) AS total_size
        FROM
        order_image
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="orderId != null and !&quot;&quot;.equals(orderId)">
                and order_id = #{orderId}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="originalImage != null and !&quot;&quot;.equals(originalImage)">
                and original_image = #{originalImage}
            </if>
            <if test="originalSize != null and !&quot;&quot;.equals(originalSize)">
                and original_size = #{originalSize}
            </if>
            <if test="finishedImage != null and !&quot;&quot;.equals(finishedImage)">
                and finished_image = #{finishedImage}
            </if>
            <if test="finishedSize != null and !&quot;&quot;.equals(finishedSize)">
                and finished_size = #{finishedSize}
            </if>
            <if test="dealUser != null and !&quot;&quot;.equals(dealUser)">
                and deal_user = #{dealUser}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="imageName != null and !&quot;&quot;.equals(imageName)">
                and image_name = #{imageName}
            </if>
            <if test="downloadFlag != null and !&quot;&quot;.equals(downloadFlag)">
                and download_flag = #{downloadFlag}
            </if>
            <if test="cleanFlag != null and !&quot;&quot;.equals(cleanFlag)">
                and clean_flag = #{cleanFlag}
            </if>

        </where>
        GROUP BY
        store_id
    </select>
    <update id="delete">
        UPDATE order_image SET del_flag = 'Y'
        <where>
            AND id = #{id}
        </where>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        <include refid="Base_Column_List"/>
        from order_image
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>

    <select id="queryAutoCleanOrderImage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.OrderImage">
        select
        <include refid="Base_Column_List"/>
        from order_image
        <where>
            and del_flag = 'N'
            and download_flag = 'Y'
            and clean_flag = 'N'
            and order_id in (
            SELECT
            id
            FROM
            user_order
            WHERE
            del_flag = 'N'
            AND status_flag >= 5
            <![CDATA[AND confirm_time < DATE_ADD(NOW(), INTERVAL - (SELECT extra FROM system_config WHERE id=1) DAY)]]>
            )
            <if test="orderId != null and !&quot;&quot;.equals(orderId)">
                and order_id = #{orderId}
            </if>
            <if test="userId != null and !&quot;&quot;.equals(userId)">
                and user_id = #{userId}
            </if>
            <if test="storeId != null and !&quot;&quot;.equals(storeId)">
                and store_id = #{storeId}
            </if>
            <if test="statusFlag != null and !&quot;&quot;.equals(statusFlag)">
                and status_flag = #{statusFlag}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
        </where>
    </select>
</mapper>

